aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/daily-jjb-doc-update/include-doc-update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/daily-jjb-doc-update/include-doc-update.sh')
-rw-r--r--jjb/daily-jjb-doc-update/include-doc-update.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/jjb/daily-jjb-doc-update/include-doc-update.sh b/jjb/daily-jjb-doc-update/include-doc-update.sh
new file mode 100644
index 00000000..47570151
--- /dev/null
+++ b/jjb/daily-jjb-doc-update/include-doc-update.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+
+# we need a name and an email
+#git config --global user.name build.automotivelinux.org
+#git config --global user.email jenkins@automotivelinux.org
+git config user.name build.automotivelinux.org
+git config user.email jenkins@automotivelinux.org
+
+# make sure 'node' is in path (debian calls it nodejs)
+mkdir -p bin
+ln -sf /usr/bin/nodejs bin/node
+export PATH=$PATH:`pwd`/bin
+
+pushd doctools/webdocs
+ npm install
+ gem list
+popd
+
+# build the docs
+pushd webdocs-agl
+ make clean
+ make fetch
+ make build
+popd \ No newline at end of file